Bug 1262791 - [abrt] fedpkg: cli.py:148:update:UnicodeDecodeError: 'ascii' codec can't decode byte 0xe2 in position 27: ordinal not in range(128)
[abrt] fedpkg: cli.py:148:update:UnicodeDecodeError: 'ascii' codec can't deco...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: fedpkg (Show other bugs)
22
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dennis Gilmore
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:e7039630a22d20c41c1ed96507a...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-14 07:36 EDT by Claudio Rodrigo Pereyra DIaz
Modified: 2016-06-26 20:16 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-06-26 20:16:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.38 KB, text/plain)
2015-09-14 07:36 EDT, Claudio Rodrigo Pereyra DIaz
no flags Details
File: environ (2.95 KB, text/plain)
2015-09-14 07:36 EDT, Claudio Rodrigo Pereyra DIaz
no flags Details

  None (edit)
Description Claudio Rodrigo Pereyra DIaz 2015-09-14 07:36:14 EDT
Description of problem:
execute 

$ fedpkg --debug --verbose update

show this error:

Could not execute update: 'ascii' codec can't decode byte 0xe2 in position 27: ordinal not in range(128)
Traceback (most recent call last):
  File "/usr/bin/fedpkg", line 16, in <module>
    main()
  File "/usr/lib/python2.7/site-packages/fedpkg/__main__.py", line 68, in main
    sys.exit(client.args.command())
  File "/usr/lib/python2.7/site-packages/fedpkg/cli.py", line 148, in update
    template = textwrap.dedent(template) % bodhi_args
UnicodeDecodeError: 'ascii' codec can't decode byte 0xe2 in position 27: ordinal not in range(128)

Version-Release number of selected component:
fedpkg-1.20-1.fc22

Additional info:
reporter:       libreport-2.6.2
cmdline:        /usr/bin/python /usr/bin/fedpkg --debug --verbose update
executable:     /usr/bin/fedpkg
kernel:         4.1.6-200.fc22.x86_64
runlevel:       N 5
type:           Python
uid:            10004

Truncated backtrace:
cli.py:148:update:UnicodeDecodeError: 'ascii' codec can't decode byte 0xe2 in position 27: ordinal not in range(128)

Traceback (most recent call last):
  File "/usr/bin/fedpkg", line 16, in <module>
    main()
  File "/usr/lib/python2.7/site-packages/fedpkg/__main__.py", line 68, in main
    sys.exit(client.args.command())
  File "/usr/lib/python2.7/site-packages/fedpkg/cli.py", line 148, in update
    template = textwrap.dedent(template) % bodhi_args
UnicodeDecodeError: 'ascii' codec can't decode byte 0xe2 in position 27: ordinal not in range(128)

Local variables in innermost frame:
self: <fedpkg.cli.fedpkgClient object at 0x7f9e7a680950>
clog: 'Update to 5.9.6.20 Cycle 5 \xe2\x80\x93 Service Release 4\n\n'
bodhi_args: {'changelog': '', 'nvr': u'monodevelop-5.9.6-1.fc23', 'descr': 'Update to 5.9.6.20 Cycle 5 \xe2\x80\x93 Service Release 4', 'bugs': ''}
bugs: []
template: '[ %(nvr)s ]\n\n# bugfix, security, enhancement, newpackage (required)\ntype=\n\n# testing, stable\nrequest=testing\n\n# Bug numbers: 1234,9876\nbugs=%(bugs)s\n\n%(changelog)s\n# Here is where you give an explanation of your update.\nnotes=%(descr)s\n\n# Enable request automation based on the stable/unstable karma thresholds\nautokarma=True\nstable_karma=3\nunstable_karma=-3\n\n# Automatically close bugs when this marked as stable\nclose_bugs=True\n\n# Suggest that users restart after update\nsuggest_reboot=False\n'
Comment 1 Claudio Rodrigo Pereyra DIaz 2015-09-14 07:36:17 EDT
Created attachment 1073186 [details]
File: backtrace
Comment 2 Claudio Rodrigo Pereyra DIaz 2015-09-14 07:36:19 EDT
Created attachment 1073187 [details]
File: environ
Comment 3 cqi 2016-06-12 13:14:24 EDT
Can you have a try again with latest version fedpkg? I run fedpkg-1.23-1.fc23.noarch and template can be rendered with non-ASCII characters, at line

  File "/usr/lib/python2.7/site-packages/fedpkg/cli.py", line 148, in update
    template = textwrap.dedent(template) % bodhi_args
Comment 4 Claudio Rodrigo Pereyra DIaz 2016-06-24 14:57:32 EDT
I move to fedora 24, and fedpkg work fine.
And fedora 22 will be EOF in a month.
Comment 5 cqi 2016-06-26 20:16:12 EDT
Feel free to reopen if it happens again.

Note You need to log in before you can comment on or make changes to this bug.